{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    EveryPay
*  @copyright since 2015 EveryPay
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
<form id="iframe_payment" class="js-payment-sebpaymentgateway sebpaymentgateway-form-iframe-card">
	<div class="row">
		<div class="payment_module sebpaymentgateway card-payment-container">
			<div class="sebpaymentgateway_card_logo sebpaymentgatewayUI" style="background-image: url('{$credit_card_logo|escape:'htmlall':'UTF-8'}')"></div>
			<span class="sebpaymentgatewayChoices sebpaymentgatewayUI">
				{if !$logged && $token_payment == 1}
					<span class="sebpaymentgatewayNotification">
						To save your card securely for faster payments in the future, <a href="{$link->getPageLink('authentication', true)}?create_account=1" class="pay-login-links">register</a> for an account or <a href="{$link->getPageLink('authentication', true)}" class="pay-login-links">log in</a> to your existing account.
					</span>
				{else}
					<div style="display:none;"></div>
				{/if}
				{if $logged && $token_payment == 1}
					<span id="sebpaymentgatewayChoice">
						{foreach from=$cards item=card}
							<div class="sebpaymentgatewayOption {if $card->is_default}default{/if}">
								<img class="cardimg" src="{$this_path}views/img/sebpaymentgateway_{$card->card_type}.png" alt="{ucfirst($card->card_type)}">
								<span>
									<input onclick='SEBPAYMENTGATEWAY.changeCard()' type="radio" {if $card->is_default}checked="checked"{/if} name="sebPaymentGatewayChoice" value="{$card->id_card}" />
								</span>
								<label>
									**** **** **** {sprintf("%04d", $card->card_no)} ({l s='Expires' mod='sebpaymentgateway'} {sprintf("%02d", $card->card_exp_month)}/{sprintf("%02d", $card->card_exp_year)})
								</label>
								<a data-remove-card-link="{$link->getModuleLink('sebpaymentgateway', 'mycards', ['id_card'=>$card->id_card, 'action'=>'delete', 'ajax'=>1], true)}" onclick='SEBPAYMENTGATEWAY.deleteCard(this)' style="display:none;" class="manageCardUI" title="{l s='Delete' mod='sebpaymentgateway'}">{l s='Delete' mod='sebpaymentgateway'}</a>

								<a data-set-default-link="{$link->getModuleLink('sebpaymentgateway', 'mycards', ['id_card'=>$card->id_card, 'action'=>'default', 'ajax'=>1], true)}" onclick='SEBPAYMENTGATEWAY.setDefault(this)' style="display:none;" class="makeDefault {if !$card->is_default}manageCardUI{/if}">{l s='Make default' mod='sebpaymentgateway'}</a>
							</div>
						{/foreach}
						<div class="radio_checkbox">
							<span class="use_new_mar use_new_mt">
								<img class="cardimg" src="{$this_path}views/img/sebpaymentgateway_mastercard.png" alt="mastercard">
								<label for="use_new_card">
									<input id="use_new_card" type="radio" name="sebPaymentGatewayChoice" {if count($cards)==0}checked{/if} onclick='SEBPAYMENTGATEWAY.changeCard()' value="new" />
									{l s='Use a new card' mod='sebpaymentgateway'}
								</label>
							</span>
							<br/>
							<!--<span class="saveCardOption use_new_mar">
								<input id="save_new_card" type="checkbox" name="sebpaymentgatewaySaveCard" value="1" />
								<label for="save_new_card">{l s='Save card securely' mod='sebpaymentgateway'}</label>
							</span>-->
						</div>
					</span>
					{if empty($cards)}
						<span class="sebpaymentgatewayManagecards sebpaymentgatewayUI" style="display:none;">No cards added</span>
					{else}
						<span class="sebpaymentgatewayManagecards sebpaymentgatewayUI" onclick="SEBPAYMENTGATEWAY.manageCardsToggle()">{l s='Manage cards' mod='sebpaymentgateway'}</span>
					{/if}
				{/if}
			</span>

			<span onclick='SEBPAYMENTGATEWAY.reclose()' id="sebpaymentgatewayRetryButton" style="display:none;" class='button'>{l s='Try paying again' mod='sebpaymentgateway'}</span>

			<iframe src="" scrolling="no" order-create-method="{$order_create_method}" cart-id='{if isset($cart_id)}{$cart_id}{/if}' target-url="{$shop_url}" name="SEBPAYMENTGATEWAYIFRAME" class="sebpaymentgatewayIframe" id="card-iframe-SEB">
			</iframe>
		</div>
		<div class="clearfix"></div>
	</div>
	<input type="hidden" name="payment_method" value="card"/>
</form>
